from setuptools import setup, find_packages

setup(
    name='fedn',
    version='0.2.3',
    description="""Scaleout Federated Learning""",
    long_description=open('README.md').read(),
    long_description_content_type="text/markdown",
    author='Morgan Ekmefjord',
    author_email='morgan@scaleout.se',
    url='https://www.scaleoutsystems.com',
    include_package_data=True,
    py_modules=['fedn'],
    python_requires='>=3.6,<4',
    install_requires=[
        "rsa>=4.7",
        "attrdict",
        "certifi",
        "chardet",
        "PyYAML>=5.4",
        "requests",
        "urllib3>=1.26.4",
        "minio",
        "six~=1.15.0",
        "python-slugify",
        "prettytable",
        "grpcio-tools",
        "grpcio~=1.34.0",
        "numpy~=1.19.2",
        "protobuf",
        "pypandoc",
        "wheel",
        "pymongo",
        "Flask==1.1.4",
        "Flask-WTF",
        "pyopenssl",
        "plotly",
        "ttictoc",
        "psutil",
        "click<8.0,>=5.1",
        "jinja2<3.0,>=2.10.1",
        "nltk",
        "geoip2",
        "pandas",
    ],
    license="Copyright Scaleout Systems AB. See license for details",
    zip_safe=False,
    entry_points={
        'console_scripts': ["fedn=cli:main"]
    },
    keywords='Federated learning',
    packages=find_packages(exclude=["tests", "tests.*"]),
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
    ],
)
